Bug 521884 - Fix instances of #!/usr/bin/env python in luci
Summary: Fix instances of #!/usr/bin/env python in luci
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: conga
Version: 5.4
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Ryan McCabe
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks: 521940
TreeView+ depends on / blocked
 
Reported: 2009-09-08 15:31 UTC by Issue Tracker
Modified: 2018-10-27 16:03 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-30 08:55:38 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0289 normal SHIPPED_LIVE conga bug fix and enhancement update 2010-03-29 15:04:29 UTC

Description Issue Tracker 2009-09-08 15:31:31 UTC
Escalated to Bugzilla from IssueTracker

Comment 1 Issue Tracker 2009-09-08 15:31:33 UTC
Event posted on 09-08-2009 11:27am EDT by kbaxley

There's a project underway in Fedora 12 to finally resolve the issues
with Red Hat including #!/usr/bin/env python in our python executables:

https://fedoraproject.org/wiki/Features/SystemPythonExecutablesUseSystemPython

There's also a Fedora bug opened on this, and comments in there state
that this is a big priority for RHEL6:

https://bugzilla.redhat.com/show_bug.cgi?id=518994

For RHEL5, we've been instructed by Product Management to open bugs on
a package-by-package basis to address the problem.

In this case, luci in RHEL5 has at least one instance of a
python script containing #!/usr/bin/env python.  



This event sent from IssueTracker by kbaxley  [LLNL (HPC)]
 issue 339857

Comment 4 Chris Ward 2010-02-11 10:12:49 UTC
~~ Attention Customers and Partners - RHEL 5.5 Beta is now available on RHN ~~

RHEL 5.5 Beta has been released! There should be a fix present in this 
release that addresses your request. Please test and report back results 
here, by March 3rd 2010 (2010-03-03) or sooner.

Upon successful verification of this request, post your results and update 
the Verified field in Bugzilla with the appropriate value.

If you encounter any issues while testing, please describe them and set 
this bug into NEED_INFO. If you encounter new defects or have additional 
patch(es) to request for inclusion, please clone this bug per each request
and escalate through your support representative.

Comment 5 Brian Brock 2010-03-11 02:20:17 UTC
fix verified in luci-0.12.2-12.el5 with grep

Comment 7 errata-xmlrpc 2010-03-30 08:55:38 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0289.html


Note You need to log in before you can comment on or make changes to this bug.